Subject: Re: [PATCHv2 0/2] vhost: a kernel-level virtio server

From: Arnd Bergmann <[email-masked]>
Date: Wed, 12 Aug 2009 14:52:01 +0200

On Wednesday 12 August 2009, Gregory Haskins wrote:
> >> Are you saying SRIOV is a requirement, and I can either program the
> >> SRIOV adapter with a mac or use promis?  Or are you saying I can use
> >> SRIOV+programmed mac OR a regular nic + promisc (with a perf penalty).
> > 
> > SRIOV is not a requirement. And you can also use a dedicated
> > nic+programmed mac if you are so inclined.
> 
> Makes sense.  Got it.
> 
> I was going to add guest-to-guest to the test matrix, but I assume that
> is not supported with vhost unless you have something like a VEPA
> enabled bridge?
> 

If I understand it correctly, you can at least connect a veth pair
to a bridge, right? Something like

           veth0 - veth1 - vhost - guest 1 
eth0 - br0-|
           veth2 - veth3 - vhost - guest 2
          
It's a bit more complicated than it need to be, but should work fine.

	Arnd <><

--
To unsubscribe, send a message with 'unsubscribe linux-mm' in
the body to [email-masked].  For more info on Linux MM,
see: http://www.linux-mm.org/ .
Don't email: <a href=mailto:"[email-masked]"> [email-masked] </a>